# Contributing to NC-GCode-Interpreter

We welcome contributions to the NC-GCode-Interpreter project! This document provides guidelines for contributing to the project.

## Submitting Changes

1. Open a pull request against the main repository.
2. Describe your changes in the pull request description.

## Code Style

- Follow the Rust style guide for Rust code.
- Use PEP 8 style guide for Python code.
- Use meaningful variable and function names.
- Comment your code where necessary.

## Reporting Bugs

- Use the GitHub Issues page to report bugs.
- Describe the bug in detail, including steps to reproduce.
- Include the version of NC-GCode-Interpreter you're using.
- Include the platform you are using NC-GCode-Interpreter on. (e.g. Windows x64, macOS ARM)
- Include whether the bug occurred in the Python package or the CLI.

## Feature Requests
We appreciate your interest in improving NC-GCode-Interpreter! Please note:

- Our primary focus is on features that align with our specific business use case.
- We encourage you to implement new features yourself if they fall outside our current scope.
- If you believe a feature would benefit our business use case:
  1. Open an issue on the GitHub Issues page to discuss the feature.
  2. Clearly describe the feature and its potential benefits, especially how it relates to NC code interpretation and our use case.
  3. Be prepared to (partially) implement the feature yourself if approved.

## Questions

If you have any questions about contributing, please open an issue or reach out to the maintainers.

Thank you for contributing to NC-GCode-Interpreter!
